﻿using Chatbot.Api.Domain.Data.DbContexts;
using Chatbot.Api.Domain.Entities;
using Chatbot.Api.Domain.Repositories;
using System;
using System.Threading.Tasks;

namespace Chatbot.Api.Domain.Data.Repositories
{
    class ChatRepository : IChatRepository
    {
        private readonly ChatDbContext _dbContext;

        public ChatRepository(ChatDbContext dbContext)
        {
            _dbContext = dbContext;
        }

        public async Task<Chat> CreateChat(Guid sessionId)
        {
            var chat = new Chat()
            {
                ChatId = Guid.NewGuid(),
                SessionId = sessionId,
                StartDate = DateTime.Now
            };

            _dbContext.Add(chat);
            await _dbContext.SaveChangesAsync();

            return chat;
        }
    }
}
